guest session doesn't use osd-notify

Bug #461407 reported by Dario Bertini on 2009-10-26
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
notify-osd (Ubuntu)
Low
Martin Pitt

Bug Description

Binary package hint: gdm-guest-session

afaik the ubuntu default should be to use osd-notify... but while logged as a guest user, if i change the audio volume or otherwise prompt a notification, osd-notify isn't used.

ProblemType: Bug
Architecture: amd64
Date: Mon Oct 26 21:14:00 2009
DistroRelease: Ubuntu 9.10
NonfreeKernelModules: wl
Package: gdm-guest-session 0.14
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, user)
 LANG=it_IT.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
SourcePackage: gdm-guest-session
Uname: Linux 2.6.31-14-generic x86_64

Dario Bertini (berdario) wrote :
Martin Pitt (pitti) wrote :

Hm, works for me. Can you please open the guest session, a Terminal window, and copy&paste the output of

  echo $GDMSESSION
  ls -l /etc/alternatives/x-session-manager

?

Changed in gdm-guest-session (Ubuntu):
status: New → Incomplete
Dario Bertini (berdario) wrote :

here it is:

guest@macbook:~$ echo $GDMSESSION
guest-restricted
guest@macbook:~$ ls -l /etc/alternatives/x-session-manager
lrwxrwxrwx 1 root root 22 2009-10-12 20:04
/etc/alternatives/x-session-manager -> /usr/bin/gnome-session
guest@macbook:~$

Martin Pitt (pitti) wrote :

Oh, I know. You have notification-daemon installed, and /usr/share/dbus-1/services/org.freedesktop.Notifications.service doesn't check for the "guest-restricted" session. This needs to be fixed there.

affects: gdm-guest-session (Ubuntu) → notify-osd (Ubuntu)
Changed in notify-osd (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
importance: Undecided → Low
status: Incomplete → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package notify-osd - 0.9.27-0ubuntu2

---------------
notify-osd (0.9.27-0ubuntu2) lucid; urgency=low

  * data/org.freedesktop.Notifications.service.in: Use notify-osd for guest
    session. (LP: #461407)
 -- Martin Pitt <email address hidden> Tue, 30 Mar 2010 12:13:20 +0200

Changed in notify-osd (Ubuntu):
status: Triaged → Fix Released
Martin Pitt (pitti) on 2010-03-30
Changed in notify-osd (Ubuntu):
status: Fix Released → Fix Committed
Martin Pitt (pitti) on 2010-03-30
Changed in notify-osd (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers